<?php  
	include("datos_sistema.php");
    if (isset($_GET['id_apoderado']) && is_numeric($_GET['id_apoderado'])) {
        $id = $_GET['id_apoderado'];
        // Usa una consulta preparada

        $sql_update_alumnos = "UPDATE alumnos
                                SET id_apoderado = '',
                                nombre_apoderado = '',
                                apellido_apoderado = '',
                                rut_apoderado = ''
                                WHERE id_apoderado = '$id'";
        $resultado_alumnos = mysqli_query($con, $sql_update_alumnos) or die(mysqli_error($con));

        $actualizar = "UPDATE apoderados SET estado = 'Eliminado' WHERE id_apoderado = ?";
        $resultado = mysqli_prepare($con, $actualizar);
        // Vincula el parámetro
        mysqli_stmt_bind_param($resultado, "i", $id);
        // Ejecuta la consulta
        mysqli_stmt_execute($resultado);
        // Verifica si se afectaron filas
        if (mysqli_stmt_affected_rows($resultado) > 0) {
            $succ="succ";
            header("Location:tabla_apoderados.php?client=$succ");
        } else {
            $succ="err";
            header("Location:tabla_apoderados.php?client=$succ");
        }
        // Cierra la declaración
        mysqli_stmt_close($resultado);
    }
    mysqli_close($con);
?>